601,100
602,"IBM.Dim.Update.Line"
562,"NULL"
586,
585,
564,
565,"wkR`k5>nO4cg5z\K:FgC;ira5K4rROmOb7DeI5xHSqeUXE5eSAjw3u?2=RBy\O6bfeo_E@wOMBCSy9xMa8?q3nT6O1=2c>C;zqa@j[f^q5qRE_gLLDaRs@z[H@P4H3gXv_=@1:6_UvzqY0<<Hf6?ot>:CO3g^u88h9v8XJC]ZxdEj@ph?Jr]206erswPiDOp:u2@PjHt"
559,1
928,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,
568,""""
570,
571,
569,0
592,0
599,1000
560,2
pDim
pLineMax
561,2
2
1
590,2
pDim,""
pLineMax,0
637,2
pDim,"Enter dimension name"
pLineMax,"Enter maximum lines to add"
577,0
578,0
579,0
580,0
581,0
582,0
603,0
572,70

#****Begin: Generated Statements***
#****End: Generated Statements****

#===========================================================================================
# Purpose:             This process will build a line dimension up to the maximum line number input as a parameter
#
# Info:                        A line dimension is commonly found in an input cube where line item details are required
#                                 To start the dimension on a line other than 1, change the number variable nLineStart
#
# Parameters:        pDim = Enter name of dimension to build ( i.e. Line, Line Item )
#                                 pLineMax = Enter the maximum line numbers to add to the dimension
#
#===========================================================================================

## Name variables 
nLineStart = 1;
nLineEnd = pLineMax;

## Validate parameters

# Check if dim name is blank
If ( Trim ( pDim )  @='' );
  sMsg = 'Please enter a valid dimension name';
  ItemReject ( sMsg );
EndIf;

# Check if End line is less than Start Line
If ( nLineEnd < nLineStart );
  sMsg = 'Start line cannot be greater than maximum line';
  ItemReject ( sMsg );
EndIf;

# Check if parameter is not a whole number
If ( SCAN ( '.', NumberToString ( nLineEnd ) ) >0 );
  sMsg = 'Please enter a whole number as the maximum line';
  ItemReject ( sMsg );
Endif;


## Create dimension
If ( DimensionExists ( pDim ) = 0 );
  DimensionCreate ( pDim );
EndIf;


## Insert top level node
sTopNode = 'All ' | pDim;
DimensionElementInsertDirect ( pDim, '', sTopNode, 'C' );


## Insert lines into dimension
nLineIndex = nLineStart;
nLineLimit = nLineEnd;

  While ( nLineIndex <= nLineLimit );
    sLine = NumberToString ( nLineIndex );
    DimensionElementComponentAddDirect ( pDim, sTopNode, sLine, 1 );

  nLineIndex = nLineIndex + 1;
End;


## Sort Dimension
DimensionSortOrder ( pDim, 'ByInput','Ascending','ByHierarchy' , 'Ascending' );





573,3

#****Begin: Generated Statements***
#****End: Generated Statements****
574,3

#****Begin: Generated Statements***
#****End: Generated Statements****
575,3

#****Begin: Generated Statements***
#****End: Generated Statements****
576,CubeAction=1511DataAction=1503CubeLogChanges=0
930,0
638,1
804,0
1217,0
900,
901,
902,
938,0
937,
936,
935,
934,
932,0
933,0
903,
906,
929,
907,
908,
904,0
905,0
909,0
911,
912,
913,
914,
915,
916,
917,0
918,1
919,0
920,50000
921,""
922,""
923,0
924,""
925,""
926,""
927,""
