﻿601,100
602,"IBM.Dim.Update.Version"
562,"NULL"
586,
585,
564,
565,"nQwSmslDc]v2[aaTCzcBhGvmEjq6grcx1OoGLQ0;dE\ffiMdSarw[PFUimENR=ahvs5[[VwH3CpPRVG0<Wc<i=xiYpt9b@wTWexI8wN_;uQ:S]8;HuzgaG:6rT\UMG]gRDJpV0yn@k]k:cvRF?\12Us47;mWep`Z[\0M1kA?f;Sz4>f5Bi=O52UMjexKoqel1OSdBIfq"
559,1
928,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,","
568,""""
570,
571,
569,0
592,0
599,1000
560,3
pDim
pIncludeDefault
pVersion
561,3
2
2
2
590,3
pDim,""
pIncludeDefault,"Yes"
pVersion,""
637,3
pDim,"Enter dimension name"
pIncludeDefault,"Include default versions? (Yes or No)"
pVersion,"Enter version to add to dimension (Optional)"
577,0
578,0
579,0
580,0
581,0
582,0
603,0
572,69
#****Begin: Generated Statements***
#****End: Generated Statements****

#===========================================================================================
# Purpose:             This process will build a version dimension based on  parameters you provide
#
# Info:                        Three commonly used versions will be added by default ( Actual, Budget, Forecast )
#                                unless you change the value of the parameter pIncldueDefault to No.
#								 In this case, just the version you provided will be created.	
#
# Parameters:        pDim = Enter name of dimension to build ( i.e. Version, Scenario )
#                                 pIncludeDefault = Yes to include default members, No to exclude default members
#                                 pVersion = Enter name of version to add to dimension (optional field and can be left blank)
#
#===========================================================================================

## Name variables

# Default memebers
sActual = 'Actual';
sBudget = 'Budget';
sForecast = 'Forecast';


## Validate parameters

# Check if dim name is blank
If ( Trim ( pDim )  @='' );
  sMsg = 'Please enter a valid dimension name';
  ItemReject ( sMsg );
EndIf;

# Check if no members are being added to the dimension 
If ( pIncludeDefault @= 'No' & pVersion @='' );
  sMsg = 'You must add at least one member to the dimension. Add all default members or a new member';
  ItemReject ( sMsg );
EndIf;

# Check if parameter is not a Yes or No
If ( pIncludeDefault @<>'Yes' & pIncludeDefault @<>'No' );
  sMsg = Trim ( pIncludeDefault ) |' is not a valid input. Please enter Yes or No';
  ItemReject ( sMsg );
Endif;


## Create dimension
If ( DimensionExists ( pDim ) = 0 );
  DimensionCreate ( pDim );
EndIf;


## Insert default members
If ( pIncludeDefault @= 'Yes' );
  DimensionElementInsertDirect ( pDim, '', sActual, 'N' );
  DimensionElementInsertDirect ( pDim, '', sBudget, 'N' );
  DimensionElementInsertDirect ( pDim, '', sForecast, 'N' );
EndIf;


## Insert parameter member to dimension
If ( DimIx ( pDim, pVersion ) = 0 );
  DimensionElementInsertDirect ( pDim, '', pVersion, 'N' );
EndIf;


## Sort Dimension
DimensionSortOrder ( pDim, 'ByInput','Ascending','ByHierarchy' , 'Ascending' );


573,1

574,1

575,2
#****Begin: Generated Statements***
#****End: Generated Statements****
576,_ParameterConstraints=e30=
930,0
638,1
804,0
1217,0
900,
901,
902,
938,0
937,
936,
935,
934,
932,0
933,0
903,
906,
929,
907,
908,
904,0
905,0
909,0
911,
912,
913,
914,
915,
916,
917,0
918,1
919,0
920,50000
921,""
922,""
923,0
924,""
925,""
926,""
927,""
