﻿601,100
602,"IBM.Subset.Create.All"
562,"SUBSET"
586,"}Dimensions"
585,"}Dimensions"
564,
565,"ld3KeT?eZp0yaqdLIVrmBotAMgE:NKz:Yni4\8z=W8j<NO7v0N=01n]Tm<mgu\70X`EyO1N[m`ki?O7iluee^bzp5:t[l:5CZ`Rh7Tn8ldc`Mg:SjNEmSgoZeF?OR5pLXCb42>f<Vbr<Lgq5`zU6FE1EuQbx?zWwhvlQCbzQM4E7He4gGWj69OE3AMIsTV<=Ao43;5]Z"
559,1
928,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,","
568,""""
570,
571,All
569,0
592,0
599,1000
560,2
pDim
pSub
561,2
2
2
590,2
pDim,""
pSub,""
637,2
pDim,"Enter Dimension name or type All for all dimensions"
pSub,"Enter a subset name"
577,1
vDim
578,1
2
579,1
1
580,1
0
581,1
0
582,1
VarType=32ColType=827
603,0
572,45
#****Begin: Generated Statements***
#****End: Generated Statements****

# =======================================================================================================================================
# Purpose:    This process will create a public subset for one dimension or all non-control dimensions
# 
# Info:              This process will create a dynamic subset for a valid dimension ( must be an existing dimension ) or all dimensions
#                       This process uses the 'All' subset of the control dimension '}Dimensions' as a data source 
#
# Parameter:  pDim = Enter Dimension name or type 'All' for all dimensions to create a subset in
#             	      pSub = Enter a Subset name to create or update
#		      			
#
# Variable:     vDim =  All dimensions in the model from the control object }Dimensions
# =======================================================================================================================================

## Name Variables
pDim = Trim ( pDim );

## Validate parameters

  # Validate if dimension exists 
  If ( pDim @<>'All' & DimensionExists (  pDim ) = 0 );
    sMsg = 'Dimension does not exist. Please enter a valid dimension name';
    ItemReject ( sMsg );
  EndIf;

  # Validate if dimension has members 
  If ( pDim @<>'All' & DimSiz ( pDim ) = 0 );
    sMsg = 'Dimension does not have any members';
    ItemReject ( sMsg );
  EndIf;
 
  # Validate if dimension is a control dimension
  If ( SUBST ( pDim, 1,1 ) @='}' );
    Msg = 'Dimension is a control dimension. Please enter a valid dimension name';
    ItemReject ( sMsg );
  EndIf;

  # Validate if subset name is blank
  If ( Trim ( pSub )  @='' );
    sMsg = 'Subset name cannot be blank. Please enter a valid subset name';
    ItemReject ( sMsg );
  EndIf;

573,25
#****Begin: Generated Statements***
#****End: Generated Statements****

# Check if pDim = All
If ( pDim @='All' );
  sDim = vDim;
Else;
  sDim = pDim;
EndIf;

If ( pSub @='' );
  ItemSkip;
EndIf;

# Check if subset exists and destroy it
If ( SubsetExists ( sDim, pSub ) = 1 );
  SubsetDestroy ( sDim, pSub );
EndIf;


# Build Set excluding control dimensions
If ( SUBST ( sDim, 1,1 ) @<>'}' & DimSiz ( sDim ) > 0 );
  sMDX = '{TM1SUBSETALL ( [ ' | sDim | ' ] ) }';
  SubsetCreatebyMDX ( pSub, sMDX );
EndIf;
574,3
#****Begin: Generated Statements***
#****End: Generated Statements****

575,3
#****Begin: Generated Statements***
#****End: Generated Statements****

576,_ParameterConstraints=e30=
930,0
638,1
804,0
1217,0
900,
901,
902,
938,0
937,
936,
935,
934,
932,0
933,0
903,
906,
929,
907,
908,
904,0
905,0
909,0
911,
912,
913,
914,
915,
916,
917,0
918,1
919,0
920,50000
921,""
922,""
923,0
924,""
925,""
926,""
927,""
